import { OpenAPIHono } from '@hono/zod-openapi';
import loginRoute from './login/post';
import logoutRoute from './logout';
import meRoute from './me/get';
import putMeRoute from './me/put';
import registerRoute from './register/create';
import ssoVerify from './sso-verify';
import miniLoginRoute from './mini-login/post';
import phoneDecryptRoute from './phone-decrypt/post';

const app = new OpenAPIHono()
  .route('/', loginRoute)
  .route('/', logoutRoute)
  .route('/', meRoute)
  .route('/', putMeRoute)
  .route('/', registerRoute)
  .route('/', ssoVerify)
  .route('/', miniLoginRoute)
  .route('/', phoneDecryptRoute);

export default app;